RecordHeader (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.impl.RecordHeader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal.impl
Class RecordHeader

    java.lang.Object
      org.codehaus.activemq.journal.impl.RecordHeader

public class RecordHeader
extends Object

Serializes/Deserializes record header information.

Version:
  $Revision: 1.2 $

Field Summary
`int` | `length`
`static int` | `RECORD_HEADER_SIZE`
`byte` | `recordType`
`long` | `sequenceId`
`static byte[]` | `START_OF_RECORD`

Constructor Summary
`RecordHeader()`

Method Summary
`void` | `bulkSet(byte recordType, long sequenceId, byte[] data)`
`void` | `invalidate()`
`boolean` | `isValid()`
`(package private) void` | `readRecordHeader(DataInput in)`
`ByteBuffer` | `toByteBuffer()`
`(package private) void` | `writeRecordHeader(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_HEADER_SIZE

    public static final int RECORD_HEADER_SIZE

See Also:
  Constant Field Values

### START_OF_RECORD

    public static final byte[] START_OF_RECORD

### length

    public int length

### sequenceId

    public long sequenceId

### recordType

    public byte recordType

Constructor Detail

### RecordHeader

    public RecordHeader()

Method Detail

### toByteBuffer

    public ByteBuffer toByteBuffer()

  Returns:

### writeRecordHeader

    void writeRecordHeader(DataOutput out)
                     throws IOException

  Throws:
    `IOException`

### readRecordHeader

    void readRecordHeader(DataInput in)
                    throws IOException

  Throws:
    `IOException`

### invalidate

    public void invalidate()

### isValid

    public boolean isValid()

### bulkSet

    public void bulkSet(byte recordType,
                        long sequenceId,
                        byte[] data)

  Parameters:
    `data` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.